# major is the part of the library name after the .so
%define major     8
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:           movit
Summary:        GPU effects library using OpenGL3
Version:        1.6.3
Release:        %mkrel 6
Group:          System/Libraries
License:        LGPLv2+ and GPLv2+
Url:                https://movit.sesse.net/
Source0:        https://movit.sesse.net/%{name}-%{version}.tar.xz
Source1:        movit.pc
Patch0:		    movit-1.3.2-disable-tests.patch
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  pkgconfig(gtest)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(sdl2)

%description
Movit is the Modern Video Toolkit, notwithstanding that anything that's
called “modern” usually isn't, and it's really not a toolkit.

Movit aims to be a _high-quality_, _high-performance_, _open-source_
library for video filters.

%package -n     %{libname}
Summary:        Main library for Movit
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %mklibname movit 5

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with Movit.

%package -n     %{develname}
Summary:        Headers for developing programs that will use Movit
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %mklibname -d movit 5

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use Movit.

%prep
%setup -q
%apply_patches

%build
./autogen.sh
CXXFLAGS="$CXXFLAGS -std=gnu++1z"
%configure2_5x --disable-static
%make GTEST_DIR=/usr/src/gtestt

%install
rm -rf %buildroot
%make_install

#fix version
install -m 0644 %SOURCE1 %{buildroot}%{_libdir}/pkgconfig/movit.pc

#remove .a and .la files according to Mageia Policy
find %{buildroot} -name "*.la" -delete

chmod 755 %{buildroot}%{_libdir}/*.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*
%{_datadir}/%{name}/

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/movit.pc


%changelog
* Mon Feb 13 2023 tex - 1.6.3-6pclos2023
- fix movit.pc file

* Thu Dec 08 2022 tex - 1.6.3-5pclos2022
- rebuild against updates

* Thu Aug 12 2021 tex- 1.6.3-4pclos2021
- try to fix pkg for mlt and kdenlive

* Thu Aug 12 2021 tex - 1.6.3-3pclos2021
- try to fix pkg for mlt and kdenlive

* Thu Aug 12 2021 tex - 1.6.3-2pclos2021
- fix devel pkg
